package com.playlet.web.service.app;

import com.github.pagehelper.PageInfo;
import com.playlet.system.domain.PlayletTask;

import java.util.List;

/**
 * @Date: 2024-03-22 00:02
 * @Author: 但星霖
 * @Version: v1.0
 * @Description: 任务app Service接口
 */
public interface PlayletTaskAppService {

    PageInfo<PlayletTask> getTaskPage(PlayletTask playletTask, Integer pageSize, Integer pageNum);

    PageInfo<PlayletTask> getTaskPageByUser(PlayletTask playletTask, Integer pageSize, Integer pageNum);

    /**
     * 用户选定任务
     * @param playletTask 任务实体数据
     * @return 是否添加成功
     */
    Boolean userDesignateTask(PlayletTask playletTask);

    /**
     * 查询任务
     *
     * @param id 任务主键
     * @return 任务
     */
    PlayletTask selectPlayletTaskById(Long id);

    /**
     * 查询任务列表
     *
     * @param playletTask 任务
     * @return 任务集合
     */
    List<PlayletTask> selectPlayletTaskList(PlayletTask playletTask);

    /**
     * 新增任务
     *
     * @param playletTask 任务
     * @return 结果
     */
    int insertPlayletTask(PlayletTask playletTask);

    /**
     * 修改任务
     *
     * @param playletTask 任务
     * @return 结果
     */
    int updatePlayletTask(PlayletTask playletTask);

    /**
     * 批量删除任务
     *
     * @param ids 需要删除的任务主键集合
     * @return 结果
     */
    int deletePlayletTaskByIds(String ids);

    /**
     * 删除任务信息
     *
     * @param id 任务主键
     * @return 结果
     */
    int deletePlayletTaskById(Long id);
}
